#
# WFTrans::Messages
# Perl Module. Constants, Definitions and Messages.
#
# (c) 2005 by Peter_Siegrist(SystemLoesungen)  (PSS@ZweierNet.ch)
#
# All Rights reserved.
# This program is free software; you can redistribute it and/or 
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
# GNU General Public License for more details.    
#


package WFTrans::Messages;
 
require Exporter;
@ISA    = qw(Exporter);
@EXPORT = qw($FOOTER_JS_B $LOGO_ADMIN $JS $FOOTER_MAIN_A $LISTBG $DATE $AUTHORSHORT $HEADER_1 $PROG_NAME $VERSION $AUTHOR $AUTHORMAIL $COLOR $BGCOLOR $TITLECOLOR $STYLE_1 $FOOTER);



#--
$VERSION 		= '1.20';
$PROG_NAME		= 'WFTrans';
$DATE			= '2011';


#--
$AUTHOR			= "Peter_Siegrist(SystemLsungen)";
$AUTHORSHORT	= "PSS";
$AUTHORMAIL		= "http://PSS.ZweierNet.ch";

#-- Colors and Fonts
$COLOR			= "#447777";
$TITLECOLOR		= "#669999";
$BGCOLOR		= "#c0c0c0";
$LISTBG			= "#d0d0d0";


$LOGO_ADMIN		= "<p class=logo2>WFTrans</p><p class=logo>Admin</p>";


#-- Footers & Headers
$FOOTER = <<"EOF_FOOTER";
<p><br>
<HR size=1>
<table border="0" cellspacing="0" width="100%">
<tr>
	<td align=left nowrap class="footer-box" width="40">
		<a href=$ENV{SCRIPT_NAME}> back </a>
	</td>
	<td align=right hight="20" class="footer_1">
	<font color="#fffff0" size=-2 face="Helvetica, Arial, sans-serif">
\&copy\; Copyright $DATE by <a href="$AUTHORMAIL">$AUTHORSHORT</a> - $PROG_NAME V $VERSION
	</font>
	</td>
</tr>
</table>
EOF_FOOTER

$FOOTER_JS_B =<<"EOF_FOOTER_JS_B";
<p><br>
<HR size=1>
<table border="0" cellspacing="0" width="100%">
<tr>
	<td align=left nowrap class="footer-box" width="40">
		<a href="javascript:window.back()"> back </a>
	</td>
	<td align=right hight="20" class="footer_1">
	<font color="#fffff0" size=-2 face="Helvetica, Arial, sans-serif">
\&copy\; Copyright $DATE by <a href="$AUTHORMAIL">$AUTHORSHORT</a> - $PROG_NAME V $VERSION
	</font>
	</td>
</tr>
</table>
EOF_FOOTER_JS_B

$FOOTER_MAIN_A =<<"EOF_FOOTER_MAIN_A";
<p><br>
<HR size=1>
<table border="0" cellspacing="0" width="100%">
<tr>
	<td align=left nowrap class="footer-box">
	<a href="$ENV{SCRIPT_NAME}?admin=1"> Admin </a>
	</td>
	<td align=right hight="20" class="footer_1">
	<font color="#fffff0" size=-2 face="Helvetica, Arial, sans-serif">
\&copy\; Copyright $DATE by <a href="$AUTHORMAIL">$AUTHORSHORT</a> - $PROG_NAME V$VERSION <a href="http://pss.zweiernet.ch/index.html?f_down.html"><font size="-3">(Free Download)</font></a>
	</font>
	</td>
</tr>
</table>
EOF_FOOTER_MAIN_A

$JS	=<<"EOF_JS";
function new_window( url, titel ) {

var w = window.open(url, titel, "toolbar=no, location=no,directories=no,status=no,width=300,height=260,alwaysRaised=yes,scrollbars=no");

}
EOF_JS


#-- Styles
$STYLE_1		=<<"EOF_STYLE_1";
<!--
A {
COLOR: darkcyan; FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-STYLE: normal;
FONT-VARIANT: normal; font-weight: bold; TEXT-DECORATION: none;
}

HTML  { 
font-size: 10pt; COLOR: $COLOR; FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-STYLE: normal; FONT-VARIANT: normal; TEXT-DECORATION: none;  
}
.delbut  { 
BACKGROUND-COLOR: #5F9EA0; font-size: 9pt; font-family: Verdana, Helvetica, Arial; FONT-STYLE: normal; color: black; border-style: solid; border-width:2px; border-color: #bbeeee; BORDER-BOTTOM: #225555 2px solid ; BORDER-RIGHT: #225555 2px solid ; font-weight: bold;
}
.logo {
font-size: 20pt; COLOR: $TITLECOLOR; FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-STYLE: normal; FONT-WEIGHT: bold; TEXT-DECORATION: none;
}

.logo2 {
font-size: 15pt; COLOR: $TITLECOLOR; FONT-FAMILY: Helvetica, Verdana, Arial; FONT-STYLE: normal; FONT-WEIGHT: bold; TEXT-DECORATION: none;
}

.mid {
font-size: 12pt; COLOR: $TITLECOLOR; FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-STYLE: normal; FONT-WEIGHT: bold; TEXT-DECORATION: none;
}

TD { 
font-size: 10pt; COLOR: $COLOR; font-family: Verdana, Arial, Helvetica, sans-serif; FONT-STYLE: normal; FONT-VARIANT: normal; TEXT-DECORATION: none;
}

small { 
font-size: 10pt; font-family: Verdana, Arial, Helvetica, sans-serif; color:#333333
}

.middle { 
font-size: 14pt; font-family: Verdana, Arial, Helvetica, sans-serif; color:#333333
}

.footer_1 { 
font-size: 8pt; font-family: Verdana, Arial, Helvetica, sans-serif; color:#fffff0; font-weight: normal; white-space: pre; letter-spacing: 2pt;
}
.progressBar { 
width: 0px; height: 15px; color:#5F9EA0; margin:0; text-align:left; padding: 0px; border-style: inset; border-width:1px; border-left: #6FaEb0 1px inset; border-top: #6FaEb0 1px inset; border-right: #6FaEb0 1px inset; border-bottom: #6FaEb0 1px inset; white-space: pre; font-family: Verdana, Arial, Helvetica, sans-serif;
}
#progressBar { 
width: 0px; height: 15px; color:#5F9EA0; margin:0; text-align:left; padding: 0px; border-style: inset; border-width:1px; border-left: #6FaEb0 1px inset; border-top: #6FaEb0 1px inset; border-right: #6FaEb0 1px inset; border-bottom: #6FaEb0 1px inset; white-space: pre; font-family: Verdana, Arial, Helvetica, sans-serif;
}
.progressBarBox { 
COLOR: $COLOR; border-style: solid; border-width:1px; border-color: #363636; display: none; width: 378px; height: 15px; text-align:left;  font-family: Verdana, Arial, Helvetica, sans-serif;
}
#progressBarBox { 
COLOR: $COLOR; border-style: solid; border-width:1px; border-color: #363636; display: none; width: 378px; height: 15px; text-align:left;  font-family: Verdana, Arial, Helvetica, sans-serif;
}
.progressMeterText { 
font-size: 10pt; color:#262626; background: #d0d0d0; border-width:1px; border-color: #363636; text-align: left; white-space: pre; FONT-STYLE: normal; FONT-WEIGHT: bold; font-family: Verdana, Arial, Helvetica, sans-serif;
}
#progressMeterText { 
font-size: 10pt; color:#262626; background: #d0d0d0; border-width:1px; border-color: #363636; text-align: left; white-space: pre; FONT-STYLE: normal; FONT-WEIGHT: bold; font-family: Verdana, Arial, Helvetica, sans-serif;
}
.progressText { 
font-size: 10pt; width: 0px; height: 15px; color:#5F9EA0; margin-left: 0; margin-right: 0; text-align: center; padding: 0px; border-style: inset; border-width:1px; border-left: #6FaEb0 1px inset; border-top: #6FaEb0 1px inset; border-right: #6FaEb0 1px inset; border-bottom: #6FaEb0 1px inset; white-space: pre; font-family: Verdana, Arial, Helvetica, sans-serif; FONT-WEIGHT: bold;
}
#progressText { 
font-size: 10pt; width: 0px; height: 15px; color:#5F9EA0; margin-left: 0; margin-right: 0; text-align: center; padding: 0px; border-style: inset; border-width:1px; border-left: #6FaEb0 1px inset; border-top: #6FaEb0 1px inset; border-right: #6FaEb0 1px inset; border-bottom: #6FaEb0 1px inset; white-space: pre; font-family: Verdana, Arial, Helvetica, sans-serif; FONT-WEIGHT: bold;
}
--> 
EOF_STYLE_1

